Skip to main content
POST
Reject a request (reviewer must differ from requester)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

requestId
string
required

Workflow request identifier.

Body

application/json

Optional reviewer note payload.

ReviewNote schema.

note
string

Optional review note for approve/reject.

Response

200 - application/json

OK

WorkflowRequest schema.

id
integer<int64>

Unique identifier for the record.

request_type
string

Workflow request type.

payload
object

Type-specific request payload.

status
enum<string>

Status value returned by the API.

Available options:
PENDING,
APPROVED,
REJECTED,
CANCELLED,
APPLIED,
FAILED
requested_by
string

User that submitted the request.

reviewed_by
string

User that reviewed the request.

review_note
string

Reviewer note.

apply_error
string

Error captured while applying the approved request.

created_at
string<date-time>

Timestamp when the record was created.

reviewed_at
string<date-time>

Timestamp when the request was reviewed.

applied_at
string<date-time>

Timestamp when the approved request was applied.